Subject: Re: [-next Nov 17] s390 build break(arch/s390/kernel/compat_wrapper.S)

From: Heiko Carstens <[email-masked]>
Date: Tue, 17 Nov 2009 17:14:24 +0100

On Tue, Nov 17, 2009 at 10:57:45AM -0500, Eric Paris wrote:
> On Tue, 2009-11-17 at 16:50 +0100, Heiko Carstens wrote:
> > On Tue, Nov 17, 2009 at 10:23:56AM -0500, Eric Paris wrote:
> > > On Tue, 2009-11-17 at 14:55 +0100, Heiko Carstens wrote:
> > The third argument an int and hence it should have been lgfr ;)
> 
> It should have been an unsigned int, just noticed it today (because of
> this discussion) and fixed it.  You'll see in a patch which does so in
> -next tomorrow.
> 
> I'll let this settle a bit and come back to linux-s390 in a week or two
> to ask you guys to write/review some hooks!

We will be triggered automatically as soon as your patch gets merged.
The build system emits a warning for each new syscall which isn't wired up
and present for x86.